## qtweather 0.6

=== src/Makefile ===
#############################################################################
# Makefile for building: Weather
# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Feb 3 23:31:18 2011
# Project:  weather.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile weather.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		dialog.cpp \
		stackedwindow.cpp \
		dayperiod.cpp \
		errormessage.cpp \
		progressdialog.cpp moc_mainwindow.cpp \
		moc_dialog.cpp \
		moc_stackedwindow.cpp \
		moc_dayperiod.cpp \
		moc_errormessage.cpp \
		moc_progressdialog.cpp \
		qrc_style.cpp
OBJECTS       = main.o \
		mainwindow.o \
		dialog.o \
		stackedwindow.o \
		dayperiod.o \
		errormessage.o \
		progressdialog.o \
		moc_mainwindow.o \
		moc_dialog.o \
		moc_stackedwindow.o \
		moc_dayperiod.o \
		moc_errormessage.o \
		moc_progressdialog.o \
		qrc_style.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		weather.pro
QMAKE_TARGET  = Weather
DESTDIR       = 
TARGET        = Weather

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_dialog.h ui_stackedwindow.h ui_errormessage.h ui_progressdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: weather.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile weather.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile weather.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/Weather1.0.0 || $(MKDIR) .tmp/Weather1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/Weather1.0.0/ && $(COPY_FILE) --parents mainwindow.h dialog.h stackedwindow.h dayperiod.h errormessage.h progressdialog.h .tmp/Weather1.0.0/ && $(COPY_FILE) --parents style.qrc .tmp/Weather1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp dialog.cpp stackedwindow.cpp dayperiod.cpp errormessage.cpp progressdialog.cpp .tmp/Weather1.0.0/ && $(COPY_FILE) --parents mainwindow.ui dialog.ui stackedwindow.ui errormessage.ui progressdialog.ui .tmp/Weather1.0.0/ && (cd `dirname .tmp/Weather1.0.0` && $(TAR) Weather1.0.0.tar Weather1.0.0 && $(COMPRESS) Weather1.0.0.tar) && $(MOVE) `dirname .tmp/Weather1.0.0`/Weather1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/Weather1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_dialog.cpp moc_stackedwindow.cpp moc_dayperiod.cpp moc_errormessage.cpp moc_progressdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_dialog.cpp moc_stackedwindow.cpp moc_dayperiod.cpp moc_errormessage.cpp moc_progressdialog.cpp
moc_mainwindow.cpp: dayperiod.h \
		progressdialog.h \
		mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_dialog.cpp: mainwindow.h \
		dayperiod.h \
		progressdialog.h \
		dialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dialog.h -o moc_dialog.cpp

moc_stackedwindow.cpp: stackedwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) stackedwindow.h -o moc_stackedwindow.cpp

moc_dayperiod.cpp: dayperiod.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) dayperiod.h -o moc_dayperiod.cpp

moc_errormessage.cpp: errormessage.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) errormessage.h -o moc_errormessage.cpp

moc_progressdialog.cpp: progressdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) progressdialog.h -o moc_progressdialog.cpp

compiler_rcc_make_all: qrc_style.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_style.cpp
qrc_style.cpp: style.qrc \
		background.jpg \
		loading.gif \
		style.css
	/usr/bin/rcc -name style style.qrc -o qrc_style.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_dialog.h ui_stackedwindow.h ui_errormessage.h ui_progressdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_dialog.h ui_stackedwindow.h ui_errormessage.h ui_progressdialog.h
ui_mainwindow.h: mainwindow.ui
	/usr/bin/uic-qt4 mainwindow.ui -o ui_mainwindow.h

ui_dialog.h: dialog.ui
	/usr/bin/uic-qt4 dialog.ui -o ui_dialog.h

ui_stackedwindow.h: stackedwindow.ui
	/usr/bin/uic-qt4 stackedwindow.ui -o ui_stackedwindow.h

ui_errormessage.h: errormessage.ui
	/usr/bin/uic-qt4 errormessage.ui -o ui_errormessage.h

ui_progressdialog.h: progressdialog.ui
	/usr/bin/uic-qt4 progressdialog.ui -o ui_progressdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h \
		dayperiod.h \
		progressdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

mainwindow.o: mainwindow.cpp mainwindow.h \
		dayperiod.h \
		progressdialog.h \
		ui_mainwindow.h \
		errormessage.h \
		stackedwindow.h \
		dialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

dialog.o: dialog.cpp dialog.h \
		mainwindow.h \
		dayperiod.h \
		progressdialog.h \
		ui_dialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dialog.o dialog.cpp

stackedwindow.o: stackedwindow.cpp stackedwindow.h \
		ui_stackedwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o stackedwindow.o stackedwindow.cpp

dayperiod.o: dayperiod.cpp dayperiod.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o dayperiod.o dayperiod.cpp

errormessage.o: errormessage.cpp errormessage.h \
		ui_errormessage.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o errormessage.o errormessage.cpp

progressdialog.o: progressdialog.cpp progressdialog.h \
		ui_progressdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o progressdialog.o progressdialog.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_dialog.o: moc_dialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dialog.o moc_dialog.cpp

moc_stackedwindow.o: moc_stackedwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_stackedwindow.o moc_stackedwindow.cpp

moc_dayperiod.o: moc_dayperiod.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_dayperiod.o moc_dayperiod.cpp

moc_errormessage.o: moc_errormessage.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_errormessage.o moc_errormessage.cpp

moc_progressdialog.o: moc_progressdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_progressdialog.o moc_progressdialog.cpp

qrc_style.o: qrc_style.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_style.o qrc_style.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_FILE) /home/anthony/Workspace/Weather/myweather.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon64:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/myweather.png

## qtweather 0.7.2

=== debian/changelog ===
qtweather (0.7.2) unstable; urgency=low

  [ Anthony Naddeo ]
  * learned to use the changelog!
  * 0.7.2 has no updates, just testing changelog

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Thu, 24 Feb 2011 12:54:48 -0500

qtweather (0.5.1) unstable; urgency=low

  [ Anthony Naddeo ]
  * Initial release

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Wed, 23 Feb 2011 12:54:48 -0500

=== debian/control ===
Source: qtweather
Section: user/utilities
Priority: extra
Maintainer: Anthony Naddeo <anthony.naddeo@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: qtweather
Architecture: any
Depends: ${shlibs:Depends}
Description: A weather application for the United States that pulls data from the National Weather Service
 The National Weather Service is an American Government site that offers a free XML feed for the United States. This unfortunately means that this application only serves people living in the US. 
XSBC-Maemo-Display-Name: QtWeather
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sCGBIVB+0zbvUAABUmSURBVGjetZp5kF1Xde5/a+8z3LEHdUtqWZYl
 20K2JcujhAc84NkFwYwBA+ZBHvhhXkwYA1UQcCgSMBBjKCgcQqhQ2I8EAsEm
 BMyDGNsYzxgjI0uyhpbU3epu9dx97z33DHuv98dttUSKUMCDU3Wq7q5z77lr
 7fWtb6+9vi38npeqIiJL420/V7nn4cF4vtUKW0k7aLcT6zInKuB8qkEQuDgI
 i4HlK/O/umlDGpZE/7t3/S7X7/yrr36rwf94ZW1p/MkvHlw5ND47AGxsZ+1z
 szw9NUvzNVme9apzkYqo81kOMhOYYKhcquy0YfyzVmv+2VPW9I397fu3jh95
 1xfvnOGtb+j94zoAUCQqt391aPn46Ojzm5l/9XySXrvQyqrzjYUgSRKbZanN
 ixwUFRERY3BFQRBGLgysC8KoqJVtc1kturdWqn6jXu95/DMf2TohcjQqf1AH
 vvLNBd70qjoAn/rHvdXJWXdZmiTvGh0dvfzw5DQLzRbtdtvnXo1Xv4QM6eBC
 RUScc4gI3ntU1YeBMZU4oLtao6+3577unq7bl6/o/fEn3nd2E+Bjn9rNB/7y
 eX+4CKiq+fDt214wPjH5tsNzxcsmp1vlmekpdUWKRcV7p14QsQFGBGPMEr6P
 GA8gIqiqFoUTYwK1ouRZU/r6upP+/mV393bV7vjqbdf+VET8b2OX+U0PP33n
 MwDct03lo184+Pqh0dmv7B8av37v4MHS6PiYJllbxFhMEIIJRMQoqqgq3nuc
 dxSFO9ZwvPcKujhxCsaIBCWdmmuW9h0YuX7vvrGv/Nk77n/9V7/d+c7n/nXo
 /y8Cn//nZ0oHR+R1k7PJp/cfGOmemZjSNG2LGo8Rq4D4xXkQ8YiA9x1WWUQQ
 qooxphMJIxixqCtQ7/AqaoNAvBeyPNfQBLKir2tu9fHL3n35FVu+duN1K9q/
 yb7gNz287fOHShOjjfdPTR/+0PY9B2zSTH27nRprUnV5VSRwUrgQESEoZ6gL
 SJI25UqEqkFxqFryzFMqR2RZhnqhUitQLZHlCTa04lTwipaikogN/OjkTLfz
 yT8882TfGlX9hIi0f6cI3Hrbo2zYfJ7dvfvAew+OzHxox/7nqgfGhlUVIlMS
 Jy0mD1UIwsNkzYhl/d34YIrWfExRFORZk96eFcTlgCITDh48QP/KGv0960hT
 ZWr+cfJkJT19Vbr66jgP6guMFqg3ak1A2pwRpkebxkQf3bPzy3/39X8ddq/5
 09pvD6GP/d2jL51tmTu27T28as/BQfVW8EUuZRtgrGVo7xQXX7IMyWu0szbP
 PrcHybu44ILTGRubonCOZ598ki0vuJCoWmCMZ3oiZ3o6YfnqOfq7TgPr2L57
 kLi+gjT3WAOSK63pWZ0c3kvenpEzTj9r9HXXX/+297zz1Ht+nZ322MEnb3+U
 H/7gH/nU5548dWF27gvP7du/ftfQmJowErGhRDZQdZmUwm6OH+jiz2+6iDXL
 +9h8+vHkiXDaiSdwzZUns/6EtZx95kruvecePnzLWzjled1s3HAcJaOkjRk+
 +KHrOWFFH1vPPpFDY+OMzTQRE+G9pzk1pRODe2SgvyYvefl1unnzxnocRRtP
 Oe219z/x2FcmP3jLz/jJA//w61nofe86n1e85o4oNHJbV3ftjEpZ1KWT5Mm8
 GlWKohBFmZ1N6O41aNbmx9//v6zsEzadupb1Jy5j3+6HeOqxH7HxlApr1y5j
 65Z+vnv31xgb2s7Ws05iw7pldFcyHvrPb7K8q+D855/O5NhhQhPg0zYju56W
 gWUh//vmG/X8rWcysGq5FugZtZ7KbX9x4xPR337k3F+fxEfqkXPOPvXFRvxF
 fcu6uWDrZuKSyEOP7cQnIaVanXaS4iTg0MRBkuYmBndNcHj8IJ6Y0NZptTLG
 Dk0TCHR39YF63vmON1EqVdmzc5o4NqxbvYz/9ZZXsmbdADuGcyqlKkWSMbLz
 Ofq6It74hpeyemWXOGPwarWd5nQtq15UqvoXA99Gj4J/KQIiwodvfag/jks3
 UORdLk915bKKXHPJOXr1pecRkZM2m5ggIohDHBmBqZGrJS88hc/IMiXPlTz1
 +MJiqGMlopUUNBZmqZU8YnIwlqGREebnWoi1ZFnO/OQs6cRhrr7sBVxzzSV4
 UkIxGgWR1OtdGvbWuqonD9zwgS8d7j82cw3Abe97shOFKD6DoHxlzZaomhyR
 BvWaykuvPYcrL1hHJUjIciHCccralQRxGVsriKq9dHf1Ua8rK1YJV7+sGyuG
 ZnOEMIDPfPL7/OT+gzSLgv5VITuebfLNrz/IzMQMSTJFuSxMDo2w5bz1vPFV
 L6JJiO9bTjWNpFSklKoJY6fG3HtydOV363oGwH3vK45C6D2f3MKt732y3Hs4
 exE92jW/pqw1G0mPj7HGYqTgyqu2MjrX4vFfTJCJRaXGc4MTaNDNzr2zNBZC
 poYP8ScvPZt1J67lP3+wm0ZW4dGfHSDVMvtGFrC1Go1mlZ8+eoBUVvL4Lxd4
 es84zWaGMTlXXf4C6utWkM+lDDhlupRSj0ssrOuWQ7Wy7t4x09V7qP2i+bfr
 I12flORXaPTzn99+VqTFXUFcbCrqonUJpK/UTVCPUTtHvbfGzsEmd/7zIwwO
 z1KqFNQqVYo0J3NNKpVeAifUulqsWrWSg4Mt2k2PjZsEUTeNxgyVaggYwqCK
 d4ZW1ibJC/bs2MFJvTEfveWt1Fd1YxY8UStjwhoW+nt5bHnMA5Nen/n5jKyd
 SLef0TY3fOdvjn8awNz3Lzs7JfIFx2+YvXz9pukz11JJVLrztgbVTraUwoAs
 meecTSfwois2U41bxGEPY+MNclMid8totmC6lXNwDHbta3JoukVTDQfHcmbb
 SsuVmGnFTC0EjE0WTDSF2SRibqYga81y0RVnsnJ1DzZzpDG40FHt7WLHcSV+
 Olfovn25qOtiWnXTk+nUBoCPfeCXmMuvPxW95eH4sHHn3C85d+ehXxg4RaW3
 X1raRCWlVuqmamqQJlxy/omctbmPPCmQwLLQWiBJAtIsI9cUL1Xmmg5nchKX
 sHL1OiZnZmi2M1rtjEY7xYlntjFJFFsODw0xEOdce/W5RCWhu9qNiUKa/VUO
 9JV5vA27D4i0JtCSLflWqFibnaMf3Bt/4GOnd5L4P16yfkUjsaftHYSH9iJf
 9xW2VfrQKCQOHa3MEAY9BC6jp5pyw/VXMbC8TmjBWqEUxwRGqZQ7pXSWpog4
 vE+YmZ6mVI4plSKsAWsdJsqplZWZif00pw9w4cXnsPl5q1DjSYynZgKm+qr8
 IMjZsSslGQ8gKBM6xIWGMDanvas9s2KJhfKBoLdt7YmTrRpkZXnwkJN/n4s5
 XOolLoUsSIgXoWwKxMO6E1byius2UgkUzWLCuCDzDdrtDCUnjkOMKWFNjNgc
 1c7+wNpO0nmnWF9ibnSc/q42N7zpxQSA81AmoVU3PByWeGo4YHbIILlChBRO
 RaWCanTioBa9Sw4U9Xo9C8KB+bYHBz4Tnp7wPDobMx93sSKaJZIFZn2JTKuY
 3HHZxSdz5umriIKCPF/A2ArGxIAny3PwBmMCxIAxhmazCWqpxjXIA2YbKa3p
 KV5+zTWcefapHCpSjivKlIIaT1djHp7yjI5aUh9TRIIXhzOABOQFA9OFqy85
 MJLacsObSp56jTRHYqXRNvz7vpx7J0Oqy0rgZjDlkLBUohIElCTgrW+5jDWr
 c5qNSSql5VhTxnv/K2ViYC3qMsrlCs4b8lzJWjkTg89xwuoqb3zba9BGyrKg
 Tlot80SlxH0Lhj2DTZpzKT5QNFLAoRawok7zSstn5SUHJlMJGwWCqgTeY0Qh
 jhijxteGLF+aXEarf4DlMo1N5iicEknB+jW93PRnV7CiB8aG9yHSKUeiKEJE
 KIoCEYM1Bq9KVjjEWKZHh8gXDvCaGy7l5LVd2LkmGlX4Vk/KnVnKtkEhmTKE
 mSF0IJmHwoMVMAhOpXAuXHLAuwLwYA25M3gHiCKhMJIEfHkXfHuyyoTE+MCT
 e49SkDdbvPD5Z3Dzm1/M2lWe+dlxnHNAxxGvHvUei8F5xUSWmYmDTA9v59Kr
 z+K6l11KmDkWVtb5tlG+31Se3O8ZHxNsESNBgFewuYAa8Mri5gGjx5QSpSjL
 rXGKFy00AhuAd4TpLJacuYWMO7Z5vjyxgmZcpxIXtJ2nHJfI5hNecuUW3n7T
 dVTrZaZmmqRZThhZgjDAeQfeE5cqpHnG9PQhzjp/A3/9jjeydmCAJ7std5aU
 e8Ycu54uMz9cIvfgxJLFnizyKAajgs2BAhWMBki+VEr0t9pJPbetUmCqhcT4
 dB6NYlxRxYsS2IDpFL6xxzNIyHvXhpwZOEwCLRfQLnkuvHgdt9eu4q9vv5tH
 HnuW/lUb6apFFDJPW2PmhnaRzo9w/sVn8vGbX8uGs4/jvnnl/ml4eEIYnzI0
 Jps4tWhUplAgNyDgLBi1ZKrQXhCTN1tWimTJgZ6kWIi9GSuFLG8IoA6swZkQ
 NCPPDOKV0dmUH+5RZrIS162NuKYrZZVrI0VIFFZYdtF6blnxar5+1308+sNd
 jO5v0QSChRY9NuGiLRs5/5pz+XGyj2/sGiYZWMtzeYWhOcPCnEFNCLIIFTna
 uFjskKFWoblAWORj/ZXywpIDy5vZjNF4sBL5zXPilCAGKyIW1FhwINYgPqQ9
 3ebBVs7OuZxH1iWc1xfw/NCyMTHUnXDFhvVseVc3B67YxwOPHGTnTJuqydl8
 2nFceMEZuFrM9qkmcXdEGFR5Og6xwNOJIwtifCjkesQB7TgggoKKBRpNqTgZ
 PGv18TPfPUJ2+pnvxDedcclHHmyE799x0HiiQIhFSDyIgguxBowILneoekLj
 MCGUuiNOWyu88Hhlizd4Cwu+4LhQWR0ppSghpky35LhWg0ZUYV9R5anplOdS
 x7PjBXsOW8YaJbwNwCk4wAjoMZ1GUTVZqtEvnjAbyT7xs49fdYv0Sxr85K5f
 IDecmb7zCffUyjxjR+AMROBR8U7UBpgQXA4OjwktOIOTAA1gdj7n0ccLnnk8
 o1pvkmoDzQpef9pq/uK0GmvyBhN5xGy5xH4f8Mg8PFrAwSxifkIZGfWkLSWW
 AJ1vkwn4cmkROkcWFFVUROea0m8CQi2ekn5Jv3VnQnDxDWcCcHLFPLd7VrdX
 At3UKlBylQDFWYMxinedvPBGCfEUmUOjDBPH6HhKvneQ3I5w2sblXHf287hu
 XY2VmZJU+9hRMzywoDw8GzI4qWRjOdI0NBNLWgg+MLRLivRG+JwO54ss4R9B
 jFfVuTnpNsH2c1atee4x4JVvKB/dE9+8jl3fH87vrcZ2U5J6xHtA8Dl4caAF
 mBB8QR41scbSvVBFEqVSSTj9asvr1l3IFSd2U6ZFYud5Iq5yf1Lw0FjO8Ljl
 0OGIdhIjWYQUbVRyNI4hV3RGKSEUEeRWQP3Sai5isN5Bs4kvinu/8KYNu+74
 8DGb+qGDilQlefOPxr+3olq9cXIy6YrCQNNSLBSA2M6dAypYX8UZy3Qk1MsF
 f7Kmh9c9r59lIezKYbJS55e58Piw58BswPhUmbmJjKKlSAiKorLIOG6xuVMR
 kiO7dT0CHYdBEfXqZqdkRWt2fqC7+j05QZIn71O2XC4dB9ac0HF1a71n2/6Z
 +R/tq1VfkWiJIC8ojD3aA5DOCm2cA6c4Qho+4Dsjhp/PQ9fxgq0bsgmYbnpG
 Zz2NBUWbOVoI2GARFdq55b+01kQQf2QVB9SoiBU3N48Z3kc19D/atKpv24+B
 LZfLf+2NvpGbzosn3/NvB+76Ra1+ZbKgXVGeqYtLosfKPwoFEUYVaxQNYEYt
 s/OK3QehVfACOfjUEHpIxYA1iGiHWBap8Wh75BjKVI/32vm+NRKkTt3hw9I1
 PzO/fqD3rs+//6TJ39ha1P3D0aYner99YNq+qMicplHcCbUutsRVl0JvfEZk
 PUQBuRhMS1AvqFHEgrVgjJDkgrGKR8F7MIKIQRfzDJUjhI7Bgyo+sBoIyMg4
 dnCvrJfG956549qXSyzZf6sPvPCbTWTd8dkb/NR7Tinn2zSOpLMyIosrYwed
 6sEo3hjaqrg8JyhyNFSKWHElKGIlCzyp8Yuz6hApMFYxmEWKP5KluhQBa4wa
 IxAacc0GOrJPVpBsu2jduvdILNl5f/7gb9fcfc3djZc+OGnuGM3jVQRebVZg
 bCCFsYhPOzg1Qed/F+nOIiiCGkFQrPNYFVIjqDiMUYwJ8IXp0LJZxD2KesBo
 R91R1Cno3l3SOzo4urmv+rYHP3PZPb+1QvOOHzThqWe/e1I699lq3mgKuYBi
 nKrxnZlXIwTeE3gQFRCLw+BVOjnqBSeWXMxiclq8C3A5i4IHnZqnUChMJwgU
 +MKpeIPuPyTR8GjzuCD8bGk+/e4rPvjI767Q/OUXny39R7v6/t2u9KG8e4Wl
 UG+zltE4UE8opoMknIAaOZqcspSpgGDUo9qRmI6wjyiIF/CK9waxqAm8kKXe
 jx0ypUP7Xb9zH73spA2f+OpHTmr/3hLT33zpl6XPztVeNxvUPp3Hte4wMFp4
 RAnBa0fvkkXDjDlaRcpR1upw4lGd7NgizSAqIqK5B+/VH9ot8fDuuf5Q3v2G
 czd97dabT27/3iLfu/5+O3914+ntrD7yTwOt4bf3Tg3v840EQ6ChagfqRvQY
 PtdfnZXFT66zqenYLIoKEgiEoh4VnyWqc4fVD24jGh/et4L87b3djX+69eaT
 22//9PY/kMz6ZszZyx96wYHKqrcV5e6XeRuU0yhUF0SosSIGVY+gihjTmelF
 eicvwBjEmE5d5r2S52KMqFEoxoYkGD+QVIr23T2idxx460t+Khf8AWTWJUb6
 8DeQL+OfvvWin6wo5m7MZyZe3Zoeu69YmBQtUkEEFVGMgDVHwtDBiaiaOMDG
 FgkF7ejHGmuEHV2Q4omnRfYP3rfa6qvXhXrjwa9c9xO5QPxVNz/wxztqwCWf
 E7ZesHx1JM+fSdJXtyq1a+nuqyKVAIfFBlaiCKyoOoS2B9eCdsORzTuydiH5
 dDMoknu72/E3JkdmH/+X//mqietfG/xxjhr8ynXTA/D3ly4NV73kSyvHjz9p
 oKe7e2ORca4r/KkeXePF9PpCI5/napzmRvxMSDEUGbcT/M+mFw48G9h9Y8Vd
 ty4d9rj03U/wwKe3/vEPewD44y7EHHp4afyByz4i/2ftGXHDRmHuCXLEugLx
 aUrgvQYWVw6k6IuD/OVdPv34Z152zHGbCUSW/152/D8/eBO65h8jMQAAAABJ
 RU5ErkJggg==

## qtweather 0.7.3

=== debian/changelog ===
qtweather (0.7.3) unstable; urgency=low

  * Made the left pane scrollable to fit the graph
  * Added a "home" feature which let's users set a zipcode to load automatically on startup
  * Made text fields only accept numbers, since they are for zipcodes

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Mon, 28 Feb 2011 12:54:48 -0500

qtweather (0.7.1) unstable; urgency=low

  * Removed 12 instances of the QNetworkAcessManager that were redundant
  * Added scrollable graph to the left pane
  * Added more weather data to the left pane
  * Changed icon from a cloud to the National Weather Service icon

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Wed, 23 Feb 2011 12:54:48 -0500

## qtweather 0.7.4

=== debian/changelog ===
qtweather (0.7.4) unstable; urgency=low

  * Gave the labels gradient background
  * Added lines inbetween items in the "Settings" menu
  * Reduced the size of the right pane in landscape mode
  * Fixed problem with the settings pane's layout in portrait mode

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Tue, 1 Mar 2011 12:54:48 -0500

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Package: qtweather
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: A weather application for the United States that pulls data from the National Weather Service
- The National Weather Service is an American Government site that offers a free XML feed for the United States. This unfortunately means that this application only serves people living in the US. 
+Description: See detailed weather graphs and information for today and five days and nights afterwords!
+ The National Weather Service is an American Government site that offers a free XML feed for the United States. This application uses their free XML services to report weather information and display hourly temperature and conditions graphs in a convenient, logical layout. 
 XSBC-Maemo-Display-Name: QtWeather
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c

## qtweather 0.7.5

=== debian/changelog ===
qtweather (0.7.5) unstable; urgency=low

  * Fixes the .desktop file not properly installing
  * Fixed display name in package manager

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Tue, 1 Mar 2011 12:56:48 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}
 Description: See detailed weather graphs and information for today and five days and nights afterwords!
  The National Weather Service is an American Government site that offers a free XML feed for the United States. This application uses their free XML services to report weather information and display hourly temperature and conditions graphs in a convenient, logical layout. 
-XSBC-Maemo-Display-Name: QtWeather
+XB-Maemo-Display-Name: QtWeather
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## qtweather 0.7.6

=== debian/changelog ===
qtweather (0.7.6) unstable; urgency=low

  * Fixed problem with the zip dialog acceping more than 5 digits
  * Added en_US section for the display name in the debian/control
  * Graphs for snow and rain accumultation now appear in the "details" view when applicable

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Sun, 6 Mar 2011 12:57:48 -0500

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
 
 Package: qtweather
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: See detailed weather graphs and information for today and five days and nights afterwords!
  The National Weather Service is an American Government site that offers a free XML feed for the United States. This application uses their free XML services to report weather information and display hourly temperature and conditions graphs in a convenient, logical layout. 
 XB-Maemo-Display-Name: QtWeather
+XB-Maemo-Display-Name-en_US: QtWeather
+XB-Maemo-Upgrade-Description: Now rain and weather graphs will appear in the "details" window when they are appliable.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## qtweather 0.7.7

=== debian/changelog ===
qtweather (0.7.7) unstable; urgency=low

  * Another attempt at fixing the maemo display name in the package manager...

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Sun, 6 Mar 2011 13:57:48 -0500

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: See detailed weather graphs and information for today and five days and nights afterwords!
  The National Weather Service is an American Government site that offers a free XML feed for the United States. This application uses their free XML services to report weather information and display hourly temperature and conditions graphs in a convenient, logical layout. 
-XB-Maemo-Display-Name: QtWeather
-XB-Maemo-Display-Name-en_US: QtWeather
-XB-Maemo-Upgrade-Description: Now rain and weather graphs will appear in the "details" window when they are appliable.
+XB-Maemo-Display-Name:QtWeather
+XB-Maemo-Upgrade-Description:Just attempting to fix the display name in the package manager
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## qtweather 0.7.8

=== debian/changelog ===
qtweather (0.7.8) unstable; urgency=low

  * Fixed issue with the weather graphs not scrolling all the way in the "details" view
  * Added a "Other Home" menu item that switches to your other home, assuming you have one
  * Added bug tracker

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Mon, 7 Mar 2011 13:57:48 -0500

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,15 @@
 Package: qtweather
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: See detailed weather graphs and information for today and five days and nights afterwords!
- The National Weather Service is an American Government site that offers a free XML feed for the United States. This application uses their free XML services to report weather information and display hourly temperature and conditions graphs in a convenient, logical layout. 
-XB-Maemo-Display-Name:QtWeather
-XB-Maemo-Upgrade-Description:Just attempting to fix the display name in the package manager
+Description: See detailed weather graphs and information!
+ The National Weather Service is an American Government site
+ that offers a free XML feed for the United States. This
+ application uses their free XML services to report weather
+ information and display hourly temperature and conditions
+ graphs in a convenient, logical layout.
+XB-Maemo-Display-Name: QtWeather
+XSBC-Bugtracker: http://code.google.com/p/qtweather/issues/list
+XB-Maemo-Upgrade-Description: Added a new feature that allows you to switch between homes
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
#!/usr/bin/make -f

#remember to fill out the APPNAME field correctly

APPNAME := qtweather
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip --dbg-package=$(APPNAME)
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qtweather 0.7.10

=== debian/changelog ===
qtweather (0.7.10) unstable; urgency=low

  * Fixed bug with the dialog showing on screens that don't belong to QtWeather
  * Efficiency tweaks
  * Corrected weather service title: from NAOO to NOAA
  * Changed the download location of the XML file to my own server. 
    This allowed me to create a much more logical and organized layout 
    to parse, with less code in the application
  * Eliminated the temporary file

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Mon, 7 Mar 2011 15:57:48 -0500

qtweather (0.7.9) unstable; urgency=low

  * Changed the location of the conf file to /home/user/.config/qtweather/qtweather.conf

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Mon, 7 Mar 2011 15:57:48 -0500

## qtweather 0.7.11

=== debian/changelog ===
qtweather (0.7.11) unstable; urgency=high

   * NOTE!: changed the url of the xml feed. In one week older versions of this application will stop working
  * Fixed rain graphs not always showing when they should
  * Application now adapts to added graphs in the xml file. More flexible on the developer side

 -- Anthony Naddeo <anthony.naddeo@gmail.com>  Thu, 30 Jun 2011 23:57:48 -0500

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: See detailed weather graphs and information!
+ *This is not an official National Weather Service application*
  The National Weather Service is an American Government site
  that offers a free XML feed for the United States. This
  application uses their free XML services to report weather
@@ -16,7 +17,6 @@
  graphs in a convenient, logical layout.
 XB-Maemo-Display-Name: QtWeather
 XSBC-Bugtracker: http://code.google.com/p/qtweather/issues/list
-XB-Maemo-Upgrade-Description: Added a new feature that allows you to switch between homes
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro
+	cd builddir && qmake-qt4 ../$(APPNAME).pro
 
 build: build-stamp
